Retrieve Webhook Information
This endpoint allows you to retrieve an information about a specific Webhook
Bearer-AuthAuthorizationBearer <token>id*stringOK
application/json- response
Squake application generates events on certain actions. To be notified about these actions client can create a webhook. For now you can create one webhook per one kind of events.
On the first creation of webhook, you would receive signing_key.
You should save these signing key securely as we're using it to sign our webhooks, so later you can check the authentity of the received event.
To sign the webhook payload, we're creating HMAC signature of the payload using SHA256.
id?stringA unique identifier for the webhook, represented as a universally unique identifier (UUID)
uuidlast_failed_at?|The timestamp of the most recent failed delivery attempt. If no failures have occurred, this field is null
date-timelast_sent_at?|The timestamp of the most recent successful delivery attempt. If no attempts have been made, this field is null
date-timefailed_attempts?integerThe total number of consecutive failed delivery attempts
kind?stringThe type of event that triggers the webhook
"order""carbon_activity_expired""confirmation_document_available""certificate_document_available"endpoint_url?stringThe URL where the webhook payloads are sent. Must be a valid URI that accepts POST requests
uricurl -X GET 'https://api.sandbox.squake.earth/v2/webhooks/string'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_failed_at": "2024-08-22T14:10:18Z", "last_sent_at": "2024-08-24T14:15:22Z", "failed_attempts": 0, "kind": "order", "endpoint_url": "http://example.com", "signing_key": "TAWHPBAVckH8KmxRtlRX/rQ/mona5vUem7QFtozGHxM="}Delete Webhook
This endpoint allows you to delete previously registered webhook
Retrieve Registered Webhooks
Webhooks are HTTP callbacks that notify your application when events happen in SQUAKE's system. Instead of continuously polling our API, webhooks push data to your endpoint when events occur. This endpoint returns the list of currently registered webhooks. See the Integration Documentation for more information.